---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: gitlab-pages
  namespace: gitlab
spec:
  imageRepositoryRef:
    name: gitlab-pages
  filterTags:
    pattern: '^flux-${environment}-\d+-\d+-(?P<timestamp>\d+)-\S{11}'
    extract: "$timestamp"
  policy:
    alphabetical:
      order: asc
